# -- Changing Window Focus --

# change window focus within space
alt - j : yabai -m window --focus south
alt - k : yabai -m window --focus north
alt - h : yabai -m window --focus west
alt - l : yabai -m window --focus east

# -- Modifying the Layout --
#
# rotate layout clockwise
shift + alt - r : yabai -m space --rotate 270

# flip along y-axis
# shift + alt - y : yabai -m space --mirror y-axis

# flip along x-axis
# shift + alt - x : yabai -m space --mirror x-axis

# toggle window float
shift + alt - t : yabai -m window --toggle float --grid 4:4:1:1:2:2

# -- Modifying Window Size --

# maximize a window
shift + alt - f : yabai -m window --toggle zoom-fullscreen

# balance out tree of windows (resize to occupy same area)
shift + alt - e : yabai -m space --balance

# swap windows
shift + alt - j : yabai -m window --swap south
shift + alt - k : yabai -m window --swap north
shift + alt - h : yabai -m window --swap west
shift + alt - l : yabai -m window --swap east

# move window to space #
# shift + alt - 1 : yabai -m window --space 1;
# shift + alt - 2 : yabai -m window --space 2;
# shift + alt - 3 : yabai -m window --space 3;
# shift + alt - 4 : yabai -m window --space 4;
# shift + alt - 5 : yabai -m window --space 5;
# shift + alt - 6 : yabai -m window --space 6;
# shift + alt - 7 : yabai -m window --space 7;

# Move between monitors
# alt - s: yabai -m display --focus west
# alt - g: yabai -m display --focus east

# Resize panes in space
ctrl + cmd - h : yabai -m window west --resize right:-20:0 2> /dev/null || yabai -m window --resize right:-20:0
ctrl + cmd - j : yabai -m window north --resize bottom:0:20 2> /dev/null || yabai -m window --resize bottom:0:20
ctrl + cmd - k : yabai -m window south --resize top:0:-20 2> /dev/null || yabai -m window --resize top:0:-20
ctrl + cmd - l : yabai -m window east --resize left:20:0 2> /dev/null || yabai -m window --resize left:20:0
